[Mailman-Users] python errors executing scripts

Mark Sapiro msapiro at value.net
Sun Feb 13 01:08:49 CET 2005

Mark Panahi wrote:

>Well, I tried 'check_db -a -v' and it complains that there are no
>config.pck and config.pck.last files for each list. The thing is, I
>had moved the lists and archive directories from an older installation
>(we had upgraded everything in our server). Seems like these pck files
>are something recent? Anyway to create these? Hmmm, I suppose we
>didn't upgrade properly.

So presumably you have config.db and config.db.last files instead. This
change occurred with 2.0.x to 2.1.x.

Also, for any list whose configuration has been locked, loaded, saved
and unlocked, there should be a config.pck because 2.1.x versions
always save the list as a pickle, not a marshall.

If you upgrade Mailman on an existing installation, the actual
configuration data will normally be updated by bin/update which will
be run by "make install"

In your case, where you moved the config files from another, older
installation, I think you may need to run bin/update manually,
although there are reports that seem to indicate this isn't necessary.
If you do run it, you will probably need the "-f" option to make it do
anything, and you should back up everything first.

Mark Sapiro <msapiro at value.net>       The highway is for gamblers,
San Francisco Bay Area, California    better use your sense - B. Dylan

More information about the Mailman-Users mailing list